#loading {
    background-color: rgba(0, 0, 0, 0.6);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}
#loading.hidden {
    display: none;
}
#loading .circle {
    position: absolute;
    border: 4px solid #f2f2f2;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
#loading .circle:nth-child(2) {
    animation-delay: -0.5s;
}
@keyframes lds-ripple {
    0% {
        top: 55%;
        left: calc(50% + 36px);
        width: 0;
        height: 0;
        opacity: 0;
    }
    4.9% {
        top: 55%;
        left: calc(50% + 36px);
        width: 0;
        height: 0;
        opacity: 0;
    }
    5% {
        top: 55%;
        left: calc(50% + 36px);
        width: 0;
        height: 0;
        opacity: 1;
    }
    100% {
        top: 50%;
        left: 50%;
        width: 72px;
        height: 72px;
        opacity: 0;
    }
}
